package kr.gmtc.gw.elastic.utils;

public class LogMsgParserUtile {
    
    public String[] sSplitChar;

    public final int DIV_PIPE    = 0; // Data부 시작 구분자(|)
    public final int DIV_CARET   = 1; // Data부 구분자(^)
    public final int DIV_COMMA   = 2; // 일반 필드 구분자(,)
    public final int DIV_DOLLAR  = 3; // 리스트 Row 구분자($)
    public final int DIV_AT      = 4; // 배열 필드 구분자(@)

    public LogMsgParserUtile(){
        sSplitChar = new String[]{"|", "^", ",", "$", "@"};
    }

    public String[] splitString(String s, int div_num ){

        return s.split("\\"+ sSplitChar[div_num]);

    }

    public int countDivInMsg(String s, int div_num){

        return s.indexOf(sSplitChar[div_num]); 
    }


}
